Bug 803322 - [glusterfs-3.3.0qa27] - volume top write-perf/read-perf' displays zero throughput when bs*count value is large
[glusterfs-3.3.0qa27] - volume top write-perf/read-perf' displays zero throug...
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 08:48 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 06:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-14 08:48:07 EDT
Description of problem:
In volume top write-perf when the bs*count value is large, throughput is displayed as zero. For small values of bs*count throughput is displayed properly.

Version-Release number of selected component (if applicable):
glusterfs-3.3.0qa27

How reproducible:
Often

Steps to Reproduce:
1. Create and start a gluster volume.
2. Enable latency-measurement
3. Run some I/O on the mountpoint
4. gluster volume top hosdu write-perf bs 2789473574385746754678576 count 100 list-cnt 5
  
Actual results:
[root@RHS-17 vishwa]# gluster v top hosdu write-perf bs 2789473574385746754678576 count 100 list-cnt 5
Brick: 10.1.11.17:/data/bricks/hosdu_brick1
Throughput 0.00 MBps time 0.0000 secs
MBps Filename                                        Time                      
==== ========                                        ====                      
1181 ...e/linux-3.2.11/drivers/scsi/lpfc/lpfc_init.c 2012-03-14 13:43:43.155330
1170 ...urce/linux-3.2.11/drivers/scsi/aic7xxx_old.c 2012-03-14 13:43:14.488113
1155 ...entation/virtual/uml/UserModeLinux-HOWTO.txt 2012-03-14 13:09:43.518231
1137 /kernel-source/linux-3.2.11/drivers/scsi/st.c   2012-03-14 13:44:03.201399
1127 .../net/wireless/brcm80211/brcmsmac/phy/phy_n.c 2012-03-14 13:41:05.191973
Brick: 10.1.11.19:/data/bricks/hosdu_brick3
Throughput 0.00 MBps time 0.0000 secs
MBps Filename                                        Time                      
==== ========                                        ====                      
1124 ...ce/linux-3.2.11/drivers/net/wireless/atmel.c 2012-03-14 13:40:52.749085
1117 ...linux-3.2.11/drivers/scsi/qla2xxx/qla_init.c 2012-03-14 13:43:55.064361
1113 ...2.11/drivers/infiniband/hw/qib/qib_iba7322.c 2012-03-14 13:34:20.625316
1112 ...rivers/net/ethernet/intel/ixgbe/ixgbe_main.c 2012-03-14 13:39:37.497000
1109 .../linux-3.2.11/drivers/net/ethernet/sun/niu.c 2012-03-14 13:40:02.580537
Brick: 10.1.11.16:/data/bricks/hosdu_brick2
Throughput 0.00 MBps time 0.0000 secs
MBps Filename                                        Time                      
==== ========                                        ====                      
1228 .../arch/cris/include/arch-v10/arch/sv_addr.agh 2012-03-14 13:17:12.923853
1195 /linux-3.2.11.tar.gz                            2012-03-14 13:05:47.016956
1161 ...-3.2.11/drivers/gpu/drm/i915/intel_display.c 2012-03-14 13:32:50.936577
1160 ...3.2.11/drivers/infiniband/hw/nes/nes_verbs.c 2012-03-14 13:34:19.059870
1149 ...x-3.2.11/drivers/net/ethernet/broadcom/tg3.c 2012-03-14 13:39:05.563023
Brick: 10.1.11.18:/data/bricks/hosdu_brick4
Throughput 0.00 MBps time 0.0000 secs
MBps Filename                                        Time                      
==== ========                                        ====                      
1150 ...t/wireless/brcm80211/brcmsmac/phy/phytbl_n.c 2012-03-14 13:41:05.998769
1103 ...ce/linux-3.2.11/arch/m68k/ifpsp060/src/isp.S 2012-03-14 13:19:31.085332
1099 ...inux-3.2.11/drivers/scsi/lpfc/lpfc_debugfs.c 2012-03-14 13:43:42.728190
1097 ...ivers/net/wireless/brcm80211/brcmsmac/main.c 2012-03-14 13:41:04.494541
1088 ...ux-3.2.11/drivers/block/drbd/drbd_receiver.c 2012-03-14 13:31:52.109725


Expected results:
Correct throughput should be displayed in top output.
Comment 1 Anand Avati 2012-04-02 14:31:27 EDT
CHANGE: http://review.gluster.com/3059 (cli: Limit value of bs * count in "volume top") merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Kaushal 2012-04-03 00:50:34 EDT
Limited the max size of bs * count to 10GB so that extremely large values cannot be given, and hence cause 0 throughput.
Comment 3 M S Vishwanath Bhat 2012-04-05 06:44:12 EDT
Now I get proper message to the console.


[root@QA-25 /]# gluster v t hosdu write-perf bs 2789473574385746754678576 count 100 list-cnt 5
'bs * count' value 429496729500 is greater than maximum allowed value of 10GB
Usage: volume top <VOLNAME> {[open|read|write|opendir|readdir [nfs]] |[read-perf|write-perf [nfs|{bs <size> count <count>}]]}  [brick <brick>] [list-cnt <count>]

Note You need to log in before you can comment on or make changes to this bug.